%define         configfile      sample.wmndrc

Name:           wmnd
Version:        0.4.17
Release:        %mkrel 3
Summary:        A dock application to monitor your network interfaces
License:        GPLv2
Group:          Monitoring

URL:            http://www.thregr.org/~wavexx/software/wmnd
Source0:        http://www.thregr.org/~wavexx/software/wmnd/releases/%{name}-%{version}.tar.gz


BuildRequires:  gawk
BuildRequires:  grep
BuildRequires:  libtool-base
BuildRequires:  glibc-devel
BuildRequires:  libx11-devel
BuildRequires:  libxpm-devel
BuildRequires:  libxext-devel
BuildRequires:  libice-devel
BuildRequires:  libsm-devel
BuildRequires:  libxcb-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libnet-snmp-devel
BuildRequires:  libzlib-devel
BuildRequires:  libopenssl-devel


%description
Wmnd is a highly customizable network monitoring dock application for
WindowMaker, or any desktop environment that handles docking. It shows
a graph of the network traffic of the past few minutes, current
activity and current and overall send and receive rates. Additionally
it can launch any program in response to mouse clicks. Other
customizations can be set in an easy-to-understand configuration file
".wmndrc" assumed to reside in your home directory, an example of
which being provided in %{_datadir}/%{name}/%{configfile}.


%prep
%setup -q

%build
%configure2_5x --datadir=%{_datadir}/%{name}
%make


%install
rm -rf %{buildroot}
%makeinstall_std
mv %buildroot%{_docdir}/%{name}/examples/wmndrc %buildroot%{_docdir}/%{name}/%{configfile}



%files
%doc README AUTHORS THANKS COPYING ChangeLog
%{_bindir}/%{name}
%{_docdir}/%{name}/%{configfile}
%{_mandir}/man1/%{name}*.1.*





%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.17-3.mga4
+ Revision: 520156
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.17-2.mga3
+ Revision: 385778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 eatdirt <eatdirt> 0.4.17-1.mga3
+ Revision: 284151
- Upgrade to version 0.4.17

* Mon Jan 23 2012 eatdirt <eatdirt> 0.4.16-1.mga2
+ Revision: 199993
- imported package wmnd


* Sun Jan 22 2012 Chris Ringeval <dirteat@gmail.com> 0.4.16-1.mga2
- Import wmnd

